TakenAt: 2022-10-06T16:31:11Z
TakenAtLocal: 2022-10-06T17:31:11Z
TakenSrc: meta
UID: pt67r2p98laupyja
Type: image
Title: Portrait / Horndean / 2022
TimeZone: Europe/London
PlaceSrc: meta
Lat: 50.930696399999995
Lng: -0.9978035
Year: 2022
Month: 10
Day: 6
ISO: 160
Exposure: 1/50
FNumber: 1.8
FocalLength: 26
Quality: 4
Faces: 1
Details:
  Keywords: brown, england, horndean, portrait, united-kingdom, viking, way
  Software: G981BXXSFFVHA
  SoftwareSrc: meta
CreatedAt: 2025-11-24T04:28:01Z
UpdatedAt: 2025-11-24T08:48:57Z
